| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Attributes | List of all members
GDataRecord30000 Struct Reference

Data record struct for DMC-30010 controllers. More...

`#include <gclib_record.h>`

## Public Attributes
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | error_code
| error code.
UB | thread_status
| thread status.
UW | input_analog_2
| Analog input 2. 1 is in axis data, see axis_a_analog_in.
UW | output_analog_1
| Analog output 1.
UW | output_analog_2
| Analog output 2.
UL | amplifier_status
| Amplifier Status.
UL | contour_segment_count
| Segment Count for Contour Mode.
UW | contour_buffer_available
| Buffer space remaining, Contour Mode.
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | s_plane_buffer_available
| Buffer space remaining, S Plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SL | axis_a_torque
| A axis torque.
UW | axis_a_analog_in
| A axis analog input.
UB | axis_a_halls
| A Hall Input Status.
UB | axis_a_reserved
| Reserved.
SL | axis_a_variable
| A User-defined variable (ZA).

## Detailed Description

Data record struct for DMC-30010 controllers.

Definition at line 814 of file gclib_record.h.

## Member Data Documentation

## ◆ header_0

UB GDataRecord30000::header_0

1st Byte of Header.

Definition at line 819 of file gclib_record.h.

## ◆ header_1

UB GDataRecord30000::header_1

2nd Byte of Header.

Definition at line 820 of file gclib_record.h.

## ◆ header_2

UB GDataRecord30000::header_2

3rd Byte of Header.

Definition at line 821 of file gclib_record.h.

## ◆ header_3

UB GDataRecord30000::header_3

4th Byte of Header.

Definition at line 822 of file gclib_record.h.

## ◆ sample_number

UW GDataRecord30000::sample_number

sample number.

Definition at line 824 of file gclib_record.h.

## ◆ input_bank_0

UB GDataRecord30000::input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 826 of file gclib_record.h.

## ◆ input_bank_1

UB GDataRecord30000::input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 827 of file gclib_record.h.

## ◆ output_bank_0

UB GDataRecord30000::output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 829 of file gclib_record.h.

## ◆ output_bank_1

UB GDataRecord30000::output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 830 of file gclib_record.h.

## ◆ error_code

UB GDataRecord30000::error_code

error code.

Definition at line 832 of file gclib_record.h.

## ◆ thread_status

UB GDataRecord30000::thread_status

thread status.

Definition at line 833 of file gclib_record.h.

## ◆ input_analog_2

UW GDataRecord30000::input_analog_2

Analog input 2. 1 is in axis data, see axis_a_analog_in.

Definition at line 835 of file gclib_record.h.

## ◆ output_analog_1

UW GDataRecord30000::output_analog_1

Analog output 1.

Definition at line 837 of file gclib_record.h.

## ◆ output_analog_2

UW GDataRecord30000::output_analog_2

Analog output 2.

Definition at line 838 of file gclib_record.h.

## ◆ amplifier_status

UL GDataRecord30000::amplifier_status

Amplifier Status.

Definition at line 840 of file gclib_record.h.

## ◆ contour_segment_count

UL GDataRecord30000::contour_segment_count

Segment Count for Contour Mode.

Definition at line 842 of file gclib_record.h.

## ◆ contour_buffer_available

UW GDataRecord30000::contour_buffer_available

Buffer space remaining, Contour Mode.

Definition at line 843 of file gclib_record.h.

## ◆ s_plane_segment_count

UW GDataRecord30000::s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 845 of file gclib_record.h.

## ◆ s_plane_move_status

UW GDataRecord30000::s_plane_move_status

coordinated move status for S plane.

Definition at line 846 of file gclib_record.h.

## ◆ s_distance

SL GDataRecord30000::s_distance

distance traveled in coordinated move for S plane.

Definition at line 847 of file gclib_record.h.

## ◆ s_plane_buffer_available

UW GDataRecord30000::s_plane_buffer_available

Buffer space remaining, S Plane.

Definition at line 848 of file gclib_record.h.

## ◆ axis_a_status

UW GDataRecord30000::axis_a_status

A axis status.

Definition at line 850 of file gclib_record.h.

## ◆ axis_a_switches

UB GDataRecord30000::axis_a_switches

A axis switches.

Definition at line 851 of file gclib_record.h.

## ◆ axis_a_stop_code

UB GDataRecord30000::axis_a_stop_code

A axis stop code.

Definition at line 852 of file gclib_record.h.

## ◆ axis_a_reference_position

SL GDataRecord30000::axis_a_reference_position

A axis reference position.

Definition at line 853 of file gclib_record.h.

## ◆ axis_a_motor_position

SL GDataRecord30000::axis_a_motor_position

A axis motor position.

Definition at line 854 of file gclib_record.h.

## ◆ axis_a_position_error

SL GDataRecord30000::axis_a_position_error

A axis position error.

Definition at line 855 of file gclib_record.h.

## ◆ axis_a_aux_position

SL GDataRecord30000::axis_a_aux_position

A axis auxiliary position.

Definition at line 856 of file gclib_record.h.

## ◆ axis_a_velocity

SL GDataRecord30000::axis_a_velocity

A axis velocity.

Definition at line 857 of file gclib_record.h.

## ◆ axis_a_torque

SL GDataRecord30000::axis_a_torque

A axis torque.

Definition at line 858 of file gclib_record.h.

## ◆ axis_a_analog_in

UW GDataRecord30000::axis_a_analog_in

A axis analog input.

Definition at line 859 of file gclib_record.h.

## ◆ axis_a_halls

UB GDataRecord30000::axis_a_halls

A Hall Input Status.

Definition at line 860 of file gclib_record.h.

## ◆ axis_a_reserved

UB GDataRecord30000::axis_a_reserved

Reserved.

Definition at line 861 of file gclib_record.h.

## ◆ axis_a_variable

SL GDataRecord30000::axis_a_variable

A User-defined variable (ZA).

Definition at line 862 of file gclib_record.h.

The documentation for this struct was generated from the following file:

- gclib_record.h